Debian Bug report logs - #536240
linux-image-2.6.30-1-686: kacpid & kacpi_notify use CPU cycles when lid closed on Acer Aspire One

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Джонатан Вашингтон <dzhonw@mail.ru>

Date: Wed, 8 Jul 2009 14:00:10 UTC

Severity: normal

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536240; Package linux-image-2.6.30-1-686. (Wed, 08 Jul 2009 14:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Джонатан Вашингтон <dzhonw@mail.ru>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Jul 2009 14:00:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Джонатан Вашингтон <dzhonw@mail.ru>
To: submit@bugs.debian.org
Subject: linux-image-2.6.30-1-686: kacpid & kacpi_notify use CPU cycles when lid closed on Acer Aspire One
Date: Wed, 08 Jul 2009 17:59:32 +0400
Package: linux-image-2.6.30-1-686
Version: 2.6.30-1
Severity: normal

When the lid is closed on my Acer Aspire One (D150-1577), kacpid and kacpi_notify both make very active use of the CPU.

I cannot find any evidence of a repeating lid event in my logs as suggested by similar problems had by others.  Also, my DSDT appears to have the relevant clause to prevent this.

This happens with 2.6.29 and 2.6.30 images from debian unstable, as well as my own 2.6.30.1 kernel.  I have the latest acpi packages, and it was happening with slightly older ones too.


-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30.1-nimloth (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.30-1-686 depends on:
ii  debconf [debconf-2.0]         1.5.26     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.93.3     tools for generating an initramfs
ii  module-init-tools             3.9-2      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.30-1-686 recommends:
ii  libc6-i686                    2.9-19     GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.30-1-686 suggests:
ii  grub                          0.97-53    GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.30              <none>     (no description available)

-- debconf information:
  linux-image-2.6.30-1-686/preinst/lilo-has-ramdisk:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.30-1-686/postinst/old-initrd-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/create-kimage-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/depmod-error-2.6.30-1-686: false
  linux-image-2.6.30-1-686/postinst/old-system-map-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/prerm/would-invalidate-boot-loader-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/overwriting-modules-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/lilo-initrd-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/old-dir-initrd-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/failed-to-move-modules-2.6.30-1-686:
  linux-image-2.6.30-1-686/postinst/bootloader-test-error-2.6.30-1-686:
  linux-image-2.6.30-1-686/preinst/abort-install-2.6.30-1-686:
  linux-image-2.6.30-1-686/postinst/bootloader-error-2.6.30-1-686:
  linux-image-2.6.30-1-686/preinst/initrd-2.6.30-1-686:
  linux-image-2.6.30-1-686/prerm/removing-running-kernel-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.30-1-686/preinst/abort-overwrite-2.6.30-1-686:
  linux-image-2.6.30-1-686/preinst/elilo-initrd-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/bootloader-initrd-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/depmod-error-initrd-2.6.30-1-686: false




Bug reassigned from package 'linux-image-2.6.30-1-686' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 12 Oct 2009 15:36:34 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.30-1. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 12 Oct 2009 15:36:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536240; Package linux-2.6. (Sat, 13 Feb 2010 11:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 13 Feb 2010 11:24:08 GMT) Full text and rfc822 format available.

Message #14 received at 536240@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Джонатан Вашингтон <dzhonw@mail.ru>, 536240@bugs.debian.org
Subject: Re: Bug#536240: linux-image-2.6.30-1-686: kacpid & kacpi_notify use CPU cycles when lid closed on Acer Aspire One
Date: Sat, 13 Feb 2010 12:22:43 +0100
On Wed, 08 Jul 2009, Джонатан Вашингтон wrote:

> 
> When the lid is closed on my Acer Aspire One (D150-1577), kacpid and kacpi_notify both make very active use of the CPU.
> 
> I cannot find any evidence of a repeating lid event in my logs as suggested by similar problems had by others.  Also, my DSDT appears to have the relevant clause to prevent this.
> 
> This happens with 2.6.29 and 2.6.30 images from debian unstable, as well as my own 2.6.30.1 kernel.  I have the latest acpi packages, and it was happening with slightly older ones too.

can you reproduce that with 2.6.32 latest from unstable?

if yes please notify upstream in bugzilla.kernel.org and let us know the
bugnr. thanks for your report.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536240; Package linux-2.6. (Thu, 25 Feb 2010 18:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Feb 2010 18:30:08 GMT) Full text and rfc822 format available.

Message #19 received at 536240@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: dzhonw@mail.ru
Cc: 536240@bugs.debian.org
Subject: Re: Bug#536240: linux-image-2.6.30-1-686: kacpid & kacpi_notify use CPU cycles when lid closed on Acer Aspire One
Date: Thu, 25 Feb 2010 19:28:36 +0100
On Sat, Feb 13, 2010 at 12:22:43PM +0100, maximilian attems wrote:
> On Wed, 08 Jul 2009, ???????????????? ?????????????????? wrote:
> 
> > 
> > When the lid is closed on my Acer Aspire One (D150-1577), kacpid and kacpi_notify both make very active use of the CPU.
> > 
> > I cannot find any evidence of a repeating lid event in my logs as suggested by similar problems had by others.  Also, my DSDT appears to have the relevant clause to prevent this.
> > 
> > This happens with 2.6.29 and 2.6.30 images from debian unstable, as well as my own 2.6.30.1 kernel.  I have the latest acpi packages, and it was happening with slightly older ones too.
> 
> can you reproduce that with 2.6.32 latest from unstable?
> 
> if yes please notify upstream in bugzilla.kernel.org and let us know the
> bugnr. thanks for your report.

Did you report this at bugzilla.kernel.org ?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536240; Package linux-2.6. (Sat, 27 Feb 2010 19:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Джонатан Вашингтон <dzhonw@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 27 Feb 2010 19:42:02 GMT) Full text and rfc822 format available.

Message #24 received at 536240@bugs.debian.org (full text, mbox):

From: Джонатан Вашингтон <dzhonw@mail.ru>
To: Moritz Muehlenhoff <jmm@inutil.org>, maximilian attems <max@stro.at>
Cc: 536240@bugs.debian.org
Subject: Re: Bug#536240: linux-image-2.6.30-1-686: kacpid & kacpi_notify use CPU cycles when lid closed on Acer Aspire One
Date: Sat, 27 Feb 2010 14:40:14 -0500
On 25 February 2010 13:28, Moritz Muehlenhoff <jmm@inutil.org> wrote:
> On Sat, Feb 13, 2010 at 12:22:43PM +0100, maximilian attems wrote:
>> On Wed, 08 Jul 2009, ???????????????? ?????????????????? wrote:
>>
>> >
>> > When the lid is closed on my Acer Aspire One (D150-1577), kacpid and kacpi_notify both make very active use of the CPU.
>> >
>> > I cannot find any evidence of a repeating lid event in my logs as suggested by similar problems had by others.  Also, my DSDT appears to have the relevant clause to prevent this.
>> >
>> > This happens with 2.6.29 and 2.6.30 images from debian unstable, as well as my own 2.6.30.1 kernel.  I have the latest acpi packages, and it was happening with slightly older ones too.
>>
>> can you reproduce that with 2.6.32 latest from unstable?
>>
>> if yes please notify upstream in bugzilla.kernel.org and let us know the
>> bugnr. thanks for your report.
>
> Did you report this at bugzilla.kernel.org ?
>
> Cheers,
>        Moritz
>

I think I did report it to the kernel developers, but I can't find it
anywhere there.  I can't get the bug report system to let me see most
of the bugs I've been CCed on--maybe because they've been closed?

The bug does pop up on Ubuntu's forums at
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/364592  and
elsewhere at http://mindspill.net/computing/linux-notes/acpi/continuous-acpi-lid-events-and-100-cpu-usage.html
.

I do know that this bug stopped being a problem a while ago, and I
think it might be because I applied someone's custom DSDT (which was
customised to solve another problem too, iirc), and I think it was
from bugzilla.kernel.org.

-- 
Jonathan




Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Tue, 02 Mar 2010 22:39:11 GMT) Full text and rfc822 format available.

Notification sent to Джонатан Вашингтон <dzhonw@mail.ru>:
Bug acknowledged by developer. (Tue, 02 Mar 2010 22:39:11 GMT) Full text and rfc822 format available.

Message #29 received at 536240-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: ???????????????? ?????????????????? <dzhonw@mail.ru>
Cc: 536240-done@bugs.debian.org
Subject: Re: Bug#536240: linux-image-2.6.30-1-686: kacpid & kacpi_notify use CPU cycles when lid closed on Acer Aspire One
Date: Tue, 2 Mar 2010 23:35:37 +0100
On Sat, Feb 27, 2010 at 02:40:14PM -0500, ???????????????? ?????????????????? wrote:
> On 25 February 2010 13:28, Moritz Muehlenhoff <jmm@inutil.org> wrote:
> > On Sat, Feb 13, 2010 at 12:22:43PM +0100, maximilian attems wrote:
> >> On Wed, 08 Jul 2009, ???????????????? ?????????????????? wrote:
> >>
> >> >
> >> > When the lid is closed on my Acer Aspire One (D150-1577), kacpid and kacpi_notify both make very active use of the CPU.
> >> >
> >> > I cannot find any evidence of a repeating lid event in my logs as suggested by similar problems had by others.  Also, my DSDT appears to have the relevant clause to prevent this.
> >> >
> >> > This happens with 2.6.29 and 2.6.30 images from debian unstable, as well as my own 2.6.30.1 kernel.  I have the latest acpi packages, and it was happening with slightly older ones too.
> >>
> >> can you reproduce that with 2.6.32 latest from unstable?
> >>
> >> if yes please notify upstream in bugzilla.kernel.org and let us know the
> >> bugnr. thanks for your report.
> >
> > Did you report this at bugzilla.kernel.org ?
> >
> > Cheers,
> >        Moritz
> >
> 
> I think I did report it to the kernel developers, but I can't find it
> anywhere there.  I can't get the bug report system to let me see most
> of the bugs I've been CCed on--maybe because they've been closed?
> 
> The bug does pop up on Ubuntu's forums at
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/364592  and
> elsewhere at http://mindspill.net/computing/linux-notes/acpi/continuous-acpi-lid-events-and-100-cpu-usage.html
> .
> 
> I do know that this bug stopped being a problem a while ago, and I
> think it might be because I applied someone's custom DSDT (which was
> customised to solve another problem too, iirc), and I think it was
> from bugzilla.kernel.org.

It was http://bugzilla.kernel.org/show_bug.cgi?id=13802

The ACPI developers traced it down to a BIOS bug and stated it cannot
be fixed in the kernel. We're closing this bug as well, then.

Cheers,
        Moritz




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Mar 2010 07:34:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:17:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.